Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155314 - Apache/2.0.52 (Fedora) IndexError: list index out of range
Summary: Apache/2.0.52 (Fedora) IndexError: list index out of range
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 03:45 UTC by Peter Ennis
Modified: 2014-01-21 22:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-27 23:54:46 UTC


Attachments (Terms of Use)

Description Peter Ennis 2005-04-19 03:45:43 UTC
Description of problem:
(103/108): mozilla-nspr-1 100% |=========================| 110 kB    00:02
(104/108): glibc-2.3.5-1. 100% |=========================| 4.9 MB    02:09
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/glibc-kernheaders-2.4-9.1.93.i386.rpm:
[Errno 4] IOError: HTTP Error 404: Date: Tue, 19 Apr 2005 03:22:13 GMT
Server: Apache
Last-Modified: Tue, 19 Apr 2005 03:15:07 GMT
Accept-Ranges: bytes
Content-Length: 4259
Content-Type: text/html; charset=UTF-8
Trying other mirror.
http://sunsite.mff.cuni.cz/pub/fedora/development/i386/Fedora/RPMS/glibc-kernheaders-2.4-9.1.93.i386.rpm:
[Errno 4] IOError: HTTP Error 404: Date: Tue, 19 Apr 2005 03:22:14 GMT
Server: Apache/2.0.52 (Fedora)
Content-Length: 360
Connection: close
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386/Fedora/RPMS/glibc-kernheaders-2.4-9.1.93.i386.rpm:
[Errno 4] IOError: HTTP Error 404: Date: Tue, 19 Apr 2005 03:22:15 GMT
Server: Apache/2.0.51 (Fedora)
Vary: accept-language,accept-charset
Accept-Ranges: bytes
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Content-Language: en
Trying other mirror.
http://mirrors.kernel.org/fedora/core/development/i386/Fedora/RPMS/glibc-kernheaders-2.4-9.1.93.i386.rpm:
[Errno 4] IOError: HTTP Error 404: Date: Tue, 19 Apr 2005 03:22:15 GMT
Server: Apache/2.0.52 (Fedora)
Content-Length: 276
Content-Type: text/html; charset=iso-8859-1
Trying other mirror.
Traceback (most recent call last):
  File "/usr/bin/yum", line 15, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 150, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 665, in doTransaction
    problems = self.downloadPkgs(downloadpkgs)
  File "__init__.py", line 498, in downloadPkgs
  File "repos.py", line 555, in get
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 414, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 392, in
_mirror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 290, in
_get_mirror
    return gr.mirrors[gr._next]
IndexError: list index out of range
[root@lfs Desktop]#

Version-Release number of selected component (if applicable):


How reproducible:
yum update

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Failure

Expected results:
Success

Additional info:
How do I know the DL is good?

Comment 1 Jeremy Katz 2005-04-27 23:54:46 UTC
This should be fixed now


Note You need to log in before you can comment on or make changes to this bug.